Subject: Re: [sacm] [sacmwg/draft-ietf-sacm-terminology] Propose to remove (or redefine) Statement (#72)

From: adammontville <[email-masked]>
Date: Fri, 05 Jan 2018 18:24:06 +0000 (UTC)

Yes, I've been striving to have one-sentence definitions of a particular form followed by expositional text, if necessary, as a second paragraph. The paragraph provides additional information about a statement, but does not add to the definition of statement (IMHO). 

I also cannot, for some reason, understand the "statement is a subject" part of the definition. And, given that the definition talks about the SACM information model specifically, should we really label this definition as "SACM Statement"? Still, I think the statement, if it concerns a subject defined in the SACM information model, ought to say something about that subject as it relates to a target endpoint (or something)...

Is it possible to use the following form? `A SACM Statement is a <fill in the blank here> that <fill in the refinement here>.`

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/sacmwg/draft-ietf-sacm-terminology/issues/72#issuecomment-355628022

---

From: Henk Birkholz <[email-masked]>
Date: Fri, 05 Jan 2018 18:51:08 +0000 (UTC)

I do not think that this is possible. Please have a look at RFC4949. Pressing everything into one sentence is sometimes possible for fundamental or axiomatic definitions. If you have a look at RFC 4949 you can see how difficult it is to define even the "most simple things", because that are in fact quite complex and their perceived simplicity often is more like a common misconception.

I.e. we tried not to excess on detail as RFC4949 does sometimes, but limit the scope on system entity characteristics vital to SACM and to new terms defined by SACM. One-sentence definitions in the scope of security automation are mostly unrealistic and should not be our target. 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/sacmwg/draft-ietf-sacm-terminology/issues/72#issuecomment-355634565

---

From: Henk Birkholz <[email-masked]>
Date: Fri, 05 Jan 2018 11:13:35 -0800

Section 4.3 of the SCAM IM version -10 illustrates the composition of the subject "sacm-statement":

[https://tools.ietf.org/html/draft-ietf-sacm-information-model-10#section-4.3](url)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/sacmwg/draft-ietf-sacm-terminology/issues/72#issuecomment-355640086